Summary: IBM Cloud Private AIX worker node
Name: icp-worker
Version: 3.1.2
Release: 1
License: ASL 2.0

Source: icp-worker-3.1.2.tar.gz

Group: Applications/System

Requires: calico-cni = 3.3.1
Requires: calico-node = 3.3.1
Requires: cloudctl = 3.1.2.0
Requires: criwpar = 0.2.0
Requires: kubernetes-node-img = 1.12.4
Requires: kubectl = 1.12.4
Requires: kubelet = 1.12.4
Conflicts: kubeadm

%description
IBM Cloud Private 3.1.2 AIX worker node.

%post
if [ "$1" = "2" ]; then
    rmssys -s kubelet
fi
mkssys -p /opt/freeware/bin/kubeletsrc -s kubelet -u 0 -e /dev/null -i /dev/null -o /dev/null -R -Q -S -f 9 -n 15 -E 20 -d -w 20 -G kube-system
exit 0

%preun
stopsrc -s kubelet
exit 0

%postun
if [ "$1" = "0" ]; then
    rmssys -s kubelet
fi
exit 0

%prep

%setup -q

%build

%install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/kubernetes
/usr/bin/install -M 0755 -f ${RPM_BUILD_ROOT}%{_datadir}/kubernetes Skube
/usr/bin/install -M 0644 -f ${RPM_BUILD_ROOT}%{_datadir}/kubernetes kube-proxy.json.tmpl
/usr/bin/install -M 0644 -f ${RPM_BUILD_ROOT}%{_datadir}/kubernetes calico-node-aix.yaml.tmpl
/usr/bin/install -M 0644 -f ${RPM_BUILD_ROOT}%{_datadir}/kubernetes logging-elk-filebeat-ds-aix.yaml
mkdir -p ${RPM_BUILD_ROOT}/var/lib/calico
mkdir -p ${RPM_BUILD_ROOT}/var/run/calico
mkdir -p ${RPM_BUILD_ROOT}/etc/cfc/pods
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
/usr/bin/install -M 0755 -f ${RPM_BUILD_ROOT}%{_bindir} kubeletsrc
/usr/bin/install -M 0755 -f ${RPM_BUILD_ROOT}%{_bindir} k8s-setup.sh

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%dir /var/lib/calico
%dir /var/run/calico
%dir /etc/cfc/pods
%{_datadir}/kubernetes/Skube
%{_datadir}/kubernetes/kube-proxy.json.tmpl
%{_datadir}/kubernetes/calico-node-aix.yaml.tmpl
%{_datadir}/kubernetes/logging-elk-filebeat-ds-aix.yaml
%{_bindir}/k8s-setup.sh
%{_bindir}/kubeletsrc

%changelog
* Wed Mar 20 2019 Ayappan P <ayappap2@in.ibm.com> - 3.1.2-1
- AIX Toolbox build

* Fri Mar  1 2019 Damien Bergamini - 3.1.2-1
- Move to IBM Cloud Private 3.1.2

* Tue Aug 21 2018 Damien Bergamini - 2.1.0.3-1
- Initial release of icp-worker for AIX
